{
  "name": "cw-webapps",
  "version": "2.0.0",
  "private": false,
  "author": "kubbo",
  "main": "lib/cw-webapps.common.js",
  "scripts": {
    "serve": "vue-cli-service serve",
    "serve:oms": "npx cross-env NODE_ENV=oms vue-cli-service serve",
    "build": "vue-cli-service build",
    "lib": "vue-cli-service build --no-clean --target lib --dest lib packages/index.js&&npm unpublish --force&&npm publish",
    "lib:core": "vue-cli-service build --target lib --dest core/dist core/index.js --name vc-app-core&&npm unpublish --force&&npm publish",
    "lib:project": "node project/build.js",
    "lib:sass": "node project/sass.js",
    "ui": "npm i dvcp-ui@latest dvcp-dv-ui@latest"
  },
  "dependencies": {
    "@amap/amap-jsapi-loader": "^1.0.1",
    "@jiaminghi/data-view": "^2.10.0",
    "dayjs": "^1.8.35",
    "dvcp-dv": "^1.0.0",
    "dvcp-dv-ui": "^2.0.0",
    "dvcp-ui": "^1.42.2",
    "echarts": "^5.1.2",
    "mp4box": "^0.4.1",
    "print-js": "^1.0.63",
    "serialize-javascript": "^6.0.0",
    "sortablejs": "^1.12.0",
    "vue-draggable-resizable": "^2.3.0",
    "vue-json-editor": "^1.4.3",
    "vue-ruler-tool": "^1.2.4",
    "vuedraggable": "^2.24.3"
  },
  "publishConfig": {
    "registry": "http://192.168.1.87:4873/"
  },
  "devDependencies": {
    "@babel/plugin-proposal-logical-assignment-operators": "^7.10.4",
    "@babel/plugin-proposal-nullish-coalescing-operator": "^7.10.4",
    "@babel/plugin-proposal-optional-chaining": "^7.10.4",
    "@vue/cli-plugin-babel": "^3.6.0",
    "@vue/cli-plugin-eslint": "^3.6.0",
    "@vue/cli-service": "^3.6.0",
    "axios": "^0.19.2",
    "babel-eslint": "^10.1.0",
    "core-js": "^2.6.11",
    "element-ui": "^2.13.2",
    "eslint": "^5.16.0",
    "eslint-plugin-vue": "^5.0.0",
    "image-webpack-loader": "^6.0.0",
    "inquirer": "^6.5.2",
    "node-sass": "npm:sass@^1.43.4",
    "sass-loader": "^7.1.0",
    "uglifyjs-webpack-plugin": "^2.2.0",
    "v-viewer": "^1.6.4",
    "vue": "^2.6.11",
    "vue-router": "^3.3.4",
    "vue-template-compiler": "^2.6.11",
    "vuex": "^3.5.1",
    "vuex-persistedstate": "^2.7.1"
  },
  "vetur": {
    "attributes": "./attributes.json"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended"
    ],
    "rules": {},
    "parserOptions": {
      "parser": "babel-eslint"
    }
  },
  "postcss": {
    "plugins": {
      "autoprefixer": {}
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
}
